<?php
/**
 * Helper functions.
 *
 * @package Winsome
 */

// Bail if no slider.
$slider_details = winsome_get_slider_details();
if ( empty( $slider_details ) ) {
	return;
}

// Slider status.
$slider_status = winsome_get_option( 'slider_status' );
if ( 'disable' === $slider_status ) {
	return;
}/*
$page_id = null;
$queried_object = get_queried_object();
if ( is_object( $queried_object ) && 'WP_Post' === get_class( $queried_object ) ) {
	$page_id = get_queried_object_id();
}
$page_on_front  = absint( get_option( 'page_on_front' ) );
if ( ! ( $page_on_front === $page_id && $page_on_front > 0 ) ) {
	return;
}

if ( ! is_page_template( 'templates/home.php' )  ) {
	return;
}*/

if ( ! ( is_front_page()) && ! is_page_template( 'templates/home.php' ) ) {
    return;
}

// Slider settings.
$slider_transition_effect = winsome_get_option( 'slider_transition_effect' );
$slider_transition_delay  = winsome_get_option( 'slider_transition_delay' );
$slider_caption_status    = winsome_get_option( 'slider_caption_status' );
$slider_arrow_status      = winsome_get_option( 'slider_arrow_status' );
$slider_pager_status      = winsome_get_option( 'slider_pager_status' );
$slider_autoplay_status   = winsome_get_option( 'slider_autoplay_status' );
if ( true === $slider_autoplay_status ) {
	$timeout = 1000 * absint( $slider_transition_delay ); // Change seconds to miliseconds.
}
else {
	$timeout = 0;
}
?>
<div id="featured-slider">
	<div id="main-slider" class="owl-carousel">
		<?php 
		foreach ( $slider_details as $slide ) : //print_r( $slide ); 

			if( !empty( $slide['image_url'] )){ ?>

				<div class="item" style="background-image: url(<?php echo esc_url( $slide['image_url'] ); ?>); ">
					<div class="caption">
						<?php if( !empty( $slide['title'] )){ ?>
		                	<h3><?php echo esc_attr( $slide['title'] ); ?></h3>
		                <?php } ?>

		                <?php if( !empty( $slide['excerpt'] )){ ?>
		                	<div class="slider-meta"><?php echo esc_attr( $slide['excerpt'] ); ?></div>
		                <?php } ?>

		                <?php if( !empty( $slide['cta_text'] ) && !empty( $slide['cta_url'] )){ ?>
		                	<div class="slider-cta">
		                		<a href="<?php echo $slide['cta_url']; ?>" class=""><?php echo esc_attr( $slide['cta_text'] ); ?></a>
		                	</div>
		                <?php } ?>

		              </div><!-- .caption -->
					
				</div>
				<?php 
			} 

		endforeach; ?>
	</div> <!-- #main-slider -->

</div><!-- #featured-slider -->
